MONGOC_SOCKET_T(3)

NAME
mongoc_socket_t - mongoc_socket_t

Portable socket abstraction

SYNOPSIS

        #include <mongoc.h>

        typedef struct _mongoc_socket_t mongoc_socket_t

SYNOPSIS

This structure provides a socket abstraction that is friendlier for portability than BSD sockets directly. Inconsistencies between Linux, various BSDs, Solaris, and Windows are handled here.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc